1. #1
    Sencha User
    Join Date
    Jun 2009
    Posts
    15
    Vote Rating
    0
    maticpetek is on a distinguished road

      0  

    Default GXT and GWT 2.0 : Cannot reduce the visibility of the inherited method from Widget

    Hello,
    I just download GWT 2.0, build 6252 and I would like to build my GXT application. Unfortunately, i get the following error:

    gwt-compile:
    [java] Compiling module com.mycompany.MyCompany
    [java] Refreshing module from source
    [java] Validating newly compiled units
    [java] Removing units with errors
    [java] [ERROR] Errors in 'jar:file:/Users/friday/Desktop/temp2/MyCompanyLibs17/gxt.jar!/com/extjs/gxt/ui/client/widget/Component.java'
    [java] [ERROR] Line 1417: Cannot reduce the visibility of the inherited method from Widget

    Any idea what is wrong with this class? Has anyone successfully build GXT application on GWT 2.0. Thank you,
    Regards
    Matic

  2. #2
    Sencha User
    Join Date
    Sep 2007
    Posts
    13,974
    Vote Rating
    132
    sven is a glorious beacon of light sven is a glorious beacon of light sven is a glorious beacon of light sven is a glorious beacon of light sven is a glorious beacon of light sven is a glorious beacon of light

      0  

    Default

    You need to use gwt 1.6 or 1.7.

  3. #3
    Sencha User
    Join Date
    Jun 2009
    Posts
    15
    Vote Rating
    0
    maticpetek is on a distinguished road

      0  

    Default

    Hello,
    Yes, it works on GWT 1.7.1 without any problem. But do you have any plan for supporting 2.0 version? I would really like to use hosted mode on my native browsers.
    Regards,
    Matic.

  4. #4
    Sencha User
    Join Date
    Sep 2007
    Posts
    13,974
    Vote Rating
    132
    sven is a glorious beacon of light sven is a glorious beacon of light sven is a glorious beacon of light sven is a glorious beacon of light sven is a glorious beacon of light sven is a glorious beacon of light

      0  

    Default

    GXT trunk and also patchrelease 2.0.2 support GWT 2.0 as of now.

Thread Participants: 1